Skip to navigation

Get PredictionJob by ID

Beta
Get a single PredictionJob by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

prediction_job_idstringRequired
ID of the PredictionJob.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
createdAtstringOptional
idstringOptional
inputmap from strings to anyOptional
modifiedAtstringOptional
predictedStructureUrlstring or nullOptional
predictionBatchobjectOptional
propertiesmap from strings to any or nullOptional
resultsDownloadUrlstring or nullOptional
statusenumOptional
Allowed values:

Errors

400
Prediction Job Get Request Bad Request Error
403
Prediction Job Get Request Forbidden Error
404
Prediction Job Get Request Not Found Error
429
Prediction Job Get Request Too Many Requests Error
500
Prediction Job Get Request Internal Server Error